---
title: Stop livestreaming a meeting
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Realtime Kit](https://developers.cloudflare.com/api/go/resources/realtime_kit)

[Livestreams](https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/livestreams)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Stop livestreaming a meeting

client.RealtimeKit.Livestreams.StopLivestreamingAMeeting(ctx, appID, meetingID, body) (\*[LivestreamStopLivestreamingAMeetingResponse](<https://developers.cloudflare.com/api/go/resources/realtime_kit#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamStopLivestreamingAMeetingResponse%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/realtime/kit/{app\_id}/meetings/{meeting\_id}/active-livestream/stop

Stops the active livestream of a meeting associated with the given meeting ID. Retreive the meeting ID using the `Create a meeting` API.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Realtime Admin``Realtime`

##### ParametersExpand Collapse

appID string

The app identifier tag.

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20stop_livestreaming_a_meeting%20%3E%20(params)%20default%20%3E%20(param)%20app_id%20%3E%20(schema)>)

meetingID string

formatuuid

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20stop_livestreaming_a_meeting%20%3E%20(params)%20default%20%3E%20(param)%20meeting_id%20%3E%20(schema)>)

<details>

<summary>

body LivestreamStopLivestreamingAMeetingParams

</summary>

AccountID param.Field\[string]

The account identifier tag.

maxLength32

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20stop_livestreaming_a_meeting%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(method)%20stop_livestreaming_a_meeting%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type LivestreamStopLivestreamingAMeetingResponse struct{…}

</summary>

<details>

<summary>

Data LivestreamStopLivestreamingAMeetingResponseDataOptional

</summary>

Message stringOptional

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamStopLivestreamingAMeetingResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20message">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamStopLivestreamingAMeetingResponse%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

Success boolOptional

<a href="#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamStopLivestreamingAMeetingResponse%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.livestreams%20%3E%20(model)%20LivestreamStopLivestreamingAMeetingResponse%20%3E%20(schema)>)

### Stop livestreaming a meeting

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Livestreams.StopLivestreamingAMeeting(
    context.TODO(),
    "14a396e7-ca44-4937-bf1f-050a69118543",
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    realtime_kit.LivestreamStopLivestreamingAMeetingParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
```

200 example

```
{
  "data": {
    "message": "Stopped live stream successfully"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "data": {
    "message": "Stopped live stream successfully"
  },
  "success": true
}
```